Bug 59904 - Missing default icons in the mipmap-* folders
Summary: Missing default icons in the mipmap-* folders
Status: RESOLVED ANSWERED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Templates (show other bugs)
Version: 4.7.0 (15.4)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Pierce Boggan [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-10-02 18:34 UTC by Tom Opgenorth
Modified: 2017-10-04 17:40 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED ANSWERED

Description Tom Opgenorth 2017-10-02 18:34:52 UTC
Problem:
When creating a new Android project using Visual Studio 2017 and Xamarin for Android v4.7.0.827, there are no default icons in the Resources/mipmap- folders or on disk. In contrast, Visual Studio for Mac does include de

Expections:
When creating a new Xamarin.Android solution, there should be a default icon file named `Icon.png` in the following folders:

* Resources/mipmap-hdpi
* Resources/mipmap-mdpi
* Resources/mipmap-xhdpi
* Resources/mipmap-xxhdpi
* Resources/mipmap-xxxhdpi


Steps to Duplicate:
1. Start Visual Studio 2017.
2. File > New Project
3. Select the Visual C# > Android > Blank App (Android) template, click okay.
4. Look at the Resources/mipmap-* folders in the Solution Explorer; they are empty.
5. Look at the mipmap-* directories on disk; they are empty.
Comment 1 Jimmy [MSFT] 2017-10-04 17:40:46 UTC
This most likely won't be fixed until the new templates are released so I've created an issue in the xamarin-templates repo so we track this there instead.

https://github.com/xamarin/xamarin-templates/issues/27